diff --git a/wcs/root.py b/wcs/root.py
index 177be166c..c76b57489 100644
--- a/wcs/root.py
+++ b/wcs/root.py
@@ -25,30 +25,30 @@ from quixote.directory import Directory
 from quixote.html import htmltext, TemplateIO
 from quixote.util import StaticDirectory
 
-import forms.root
-from qommon import saml2
-
-from qommon import _
-from qommon import errors
-from qommon import get_cfg, get_logger
-from qommon import template
-from qommon.form import *
-import qommon.ident
-import qommon.pages
-
-from qommon.afterjobs import AfterJobStatusDirectory
-
-from categories import Category
-from formdef import FormDef
-from data_sources import NamedDataSource
-from wscalls import NamedWsCall
-from wcs.api import ApiDirectory
-from myspace import MyspaceDirectory
-from forms.preview import PreviewDirectory
-from wcs.forms.actions import ActionsDirectory
-from wcs.scripts import Script
-
-from wcs import portfolio
+from .forms import root
+from .qommon import saml2
+
+from .qommon import _
+from .qommon import errors
+from .qommon import get_cfg, get_logger
+from .qommon import template
+from .qommon.form import *
+from .qommon import ident
+from .qommon import pages
+
+from .qommon.afterjobs import AfterJobStatusDirectory
+
+from .categories import Category
+from .formdef import FormDef
+from .data_sources import NamedDataSource
+from .wscalls import NamedWsCall
+from .api import ApiDirectory
+from .myspace import MyspaceDirectory
+from .forms.preview import PreviewDirectory
+from .forms.actions import ActionsDirectory
+from .scripts import Script
+
+from . import portfolio
 
 class CompatibilityDirectory(Directory):
     _q_exports = ['']
@@ -61,7 +61,7 @@ class IdentDirectory(Directory):
     def _q_lookup(self, component):
         get_response().breadcrumb.append(('ident/', None))
         try:
-            return qommon.ident.get_method_directory(component)
+            return ident.get_method_directory(component)
         except KeyError:
             raise errors.TraversalError()
 
@@ -91,7 +91,7 @@ class LoginDirectory(Directory):
         if len(ident_methods) == 1:
             method = ident_methods[0]
             try:
-                return qommon.ident.login(method)
+                return ident.login(method)
             except KeyError:
                 msg = 'failed to login with method %s' % method
                 get_logger().error(msg)
@@ -100,7 +100,7 @@ class LoginDirectory(Directory):
             form = Form(enctype='multipart/form-data')
             form.add(RadiobuttonsWidget, 'method',
                     options = [(x.key, _(x.description)) \
-                            for x in qommon.ident.get_method_classes() if \
+                            for x in ident.get_method_classes() if \
                                     x.key in ident_methods],
                     delim = htmltext('<br/>'))
             form.add_submit('submit', _('Submit'))
@@ -115,7 +115,7 @@ class LoginDirectory(Directory):
                     return redirect(login_url)
                 else:
                     try:
-                        return qommon.ident.login(method)
+                        return ident.login(method)
                     except KeyError:
                         msg = 'failed to login with method %s' % method
                         get_logger().error(msg)
@@ -129,7 +129,7 @@ class LoginDirectory(Directory):
 
     def _q_lookup(self, component):
         try:
-            dir = qommon.ident.get_method_directory(component)
+            dir = ident.get_method_directory(component)
             # set the register page as the index page, so the url can be
             # /login/password/ instead of /login/password/login
             dir._q_exports.append('')
@@ -155,7 +155,7 @@ class RegisterDirectory(Directory):
         if len(ident_methods) == 1:
             method = ident_methods[0]
             try:
-                return qommon.ident.register(method)
+                return ident.register(method)
             except KeyError:
                 get_logger().error('failed to register with method %s' % method)
                 return errors.TraversalError()
@@ -163,7 +163,7 @@ class RegisterDirectory(Directory):
             form = Form(enctype='multipart/form-data')
             form.add(RadiobuttonsWidget, 'method',
                     options = [(x.key, _(x.description)) \
-                            for x in qommon.ident.get_method_classes() if \
+                            for x in ident.get_method_classes() if \
                                     x.key in ident_methods],
                     delim = htmltext('<br/>'))
             form.add_submit('submit', _('Submit'))
@@ -181,7 +181,7 @@ class RegisterDirectory(Directory):
 
     def _q_lookup(self, component):
         try:
-            dir = qommon.ident.get_method_directory(component)
+            dir = ident.get_method_directory(component)
             # set the register page as the index page, so the url can be
             # /register/password/ instead of /register/password/register
             dir._q_exports.append('')
@@ -246,16 +246,16 @@ class RootDirectory(Directory):
     api = ApiDirectory()
     themes = template.ThemesDirectory()
     myspace = MyspaceDirectory()
-    pages = qommon.pages.PagesDirectory()
+    pages = pages.PagesDirectory()
     fargo = portfolio.FargoDirectory()
     static = StaticsDirectory()
     actions = ActionsDirectory()
 
     def tryauth(self):
-        return forms.root.tryauth(get_publisher().get_root_url())
+        return root.tryauth(get_publisher().get_root_url())
 
     def auth(self):
-        return forms.root.auth(get_publisher().get_root_url())
+        return root.auth(get_publisher().get_root_url())
 
     def logout(self):
         get_logger().info('logout')
@@ -339,7 +339,7 @@ class RootDirectory(Directory):
         except errors.TraversalError:
             pass
 
-        return forms.root.RootDirectory()._q_traverse(path)
+        return root.RootDirectory()._q_traverse(path)
 
     def _q_lookup(self, component):
         # is this a category ?
@@ -352,10 +352,10 @@ class RootDirectory(Directory):
             try:
                 formdef = FormDef.get_by_urlname(component)
             except KeyError:
-                return forms.root.RootDirectory(category)
+                return root.RootDirectory(category)
 
         # or a form ?
-        return forms.root.RootDirectory()._q_lookup(component)
+        return root.RootDirectory()._q_lookup(component)
 
     def reload_top(self):
         get_response().filter = {}
diff --git a/wcs/sessions.py b/wcs/sessions.py
index 11d292f0e..2741f5f85 100644
--- a/wcs/sessions.py
+++ b/wcs/sessions.py
@@ -18,8 +18,8 @@ import os
 import time
 import uuid
 
-import qommon.sessions
-from qommon.sessions import Session
+from .qommon import sessions
+from .qommon.sessions import Session
 
 class BasicSession(Session):
 
@@ -155,5 +155,5 @@ class BasicSession(Session):
             return None
         return self.data_source_query_url_tokens.get(token)
 
-qommon.sessions.BasicSession = BasicSession
-StorageSessionManager = qommon.sessions.StorageSessionManager
+sessions.BasicSession = BasicSession
+StorageSessionManager = sessions.StorageSessionManager
diff --git a/wcs/sql.py b/wcs/sql.py
index 6ca8fc4dd..5b48207e3 100644
--- a/wcs/sql.py
+++ b/wcs/sql.py
@@ -22,10 +22,10 @@ import re
 import cPickle
 
 from quixote import get_publisher
-import qommon
-from qommon.storage import _take, parse_clause as parse_storage_clause
-from qommon.substitution import invalidate_substitution_cache
-from qommon import get_cfg
+from . import qommon
+from .qommon.storage import _take, parse_clause as parse_storage_clause
+from .qommon.substitution import invalidate_substitution_cache
+from .qommon import get_cfg
 
 import wcs.categories
 import wcs.carddata
@@ -593,7 +593,7 @@ def do_user_table():
         'anonymous', 'name_identifiers', 'verified_fields',
         'lasso_dump', 'last_seen', 'fts', 'ascii_name'])
 
-    from admin.settings import UserFieldsFormDef
+    from wcs.admin.settings import UserFieldsFormDef
     formdef = UserFieldsFormDef()
 
     for field in formdef.get_all_fields():
diff --git a/wcs/tracking_code.py b/wcs/tracking_code.py
index 549662a88..9011f956b 100644
--- a/wcs/tracking_code.py
+++ b/wcs/tracking_code.py
@@ -16,9 +16,9 @@
 
 import random
 
-from qommon.storage import StorableObject
+from .qommon.storage import StorableObject
 
-from formdef import FormDef
+from .formdef import FormDef
 
 class TrackingCode(StorableObject):
     _names = 'tracking-codes'
diff --git a/wcs/users.py b/wcs/users.py
index 0eb59822c..c79698bd6 100644
--- a/wcs/users.py
+++ b/wcs/users.py
@@ -14,13 +14,13 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from qommon import _
-from qommon.misc import simplify
-from qommon.storage import StorableObject
-from qommon import get_cfg
+from .qommon import _
+from .qommon.misc import simplify
+from .qommon.storage import StorableObject
+from .qommon import get_cfg
 import wcs.qommon.storage as st
 
-from qommon.substitution import Substitutions, invalidate_substitution_cache
+from .qommon.substitution import Substitutions, invalidate_substitution_cache
 
 class User(StorableObject):
     _names = 'users'
diff --git a/wcs/variables.py b/wcs/variables.py
index a57004b5f..d0f2d21d5 100644
--- a/wcs/variables.py
+++ b/wcs/variables.py
@@ -22,10 +22,10 @@ from quixote import get_publisher, get_request
 
 from pyproj import Geod
 
-import qommon.misc
-from qommon.evalutils import make_datetime
-from qommon.templatetags.qommon import parse_datetime
-from qommon.storage import (Or, Equal, NotEqual)
+from .qommon import misc
+from .qommon.evalutils import make_datetime
+from .qommon.templatetags.qommon import parse_datetime
+from .qommon.storage import (Or, Equal, NotEqual)
 
 
 class LazyFormDefObjectsManager(object):
@@ -214,11 +214,11 @@ class LazyFormData(LazyFormDef):
 
     @property
     def receipt_date(self):
-        return qommon.misc.strftime(qommon.misc.date_format(), self._formdata.receipt_time)
+        return misc.strftime(misc.date_format(), self._formdata.receipt_time)
 
     @property
     def receipt_time(self):
-        return qommon.misc.strftime('%H:%M', self._formdata.receipt_time)
+        return misc.strftime('%H:%M', self._formdata.receipt_time)
 
     @property
     def number(self):
@@ -334,7 +334,7 @@ class LazyFormData(LazyFormDef):
                 value = field.convert_value_to_str(value)
             elif value is None:
                 value = ''
-            identifier_name = qommon.misc.simplify(field.label, space='_')
+            identifier_name = misc.simplify(field.label, space='_')
             d[identifier_name] = value
 
         return d
@@ -529,7 +529,7 @@ class LazyFieldVar(object):
 
     def __contains__(self, value):
         if self._field.key == 'items':
-            return qommon.misc.site_encode(value) in self._data.get(self._field.id)
+            return misc.site_encode(value) in self._data.get(self._field.id)
         return value in self.get_value()
 
     def __unicode__(self):
diff --git a/wcs/wf/aggregation_email.py b/wcs/wf/aggregation_email.py
index 633df12b3..d1e8488b4 100644
--- a/wcs/wf/aggregation_email.py
+++ b/wcs/wf/aggregation_email.py
@@ -14,12 +14,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from qommon import _
-from qommon.publisher import get_publisher_class
-from qommon.storage import StorableObject
-from qommon.form import *
-from qommon.cron import CronJob
-from qommon import emails
+from ..qommon import _
+from ..qommon.publisher import get_publisher_class
+from ..qommon.storage import StorableObject
+from ..qommon.form import *
+from ..qommon.cron import CronJob
+from ..qommon import emails
 
 from wcs.workflows import WorkflowStatusItem, register_item_class, \
         get_role_translation
diff --git a/wcs/wf/attachment.py b/wcs/wf/attachment.py
index f72e1cfb8..fd835859d 100644
--- a/wcs/wf/attachment.py
+++ b/wcs/wf/attachment.py
@@ -17,9 +17,9 @@
 
 from quixote import redirect
 
-from qommon import _
+from ..qommon import _
 from wcs.workflows import *
-from qommon.errors import *
+from ..qommon.errors import *
 
 from wcs.forms.common import FormStatusPage, FileDirectory
 from wcs.portfolio import has_portfolio, push_document
diff --git a/wcs/wf/backoffice_fields.py b/wcs/wf/backoffice_fields.py
index 060413149..a8f7d4ea2 100644
--- a/wcs/wf/backoffice_fields.py
+++ b/wcs/wf/backoffice_fields.py
@@ -16,8 +16,8 @@
 
 import xml.etree.ElementTree as ET
 
-from qommon import _
-from qommon.form import (WidgetListAsTable, CompositeWidget, SingleSelectWidget,
+from ..qommon import _
+from ..qommon.form import (WidgetListAsTable, CompositeWidget, SingleSelectWidget,
         ComputedExpressionWidget)
 from wcs.fields import WidgetField
 from wcs.workflows import (WorkflowStatusItem,
diff --git a/wcs/wf/criticality.py b/wcs/wf/criticality.py
index b498a62f8..55e40379d 100644
--- a/wcs/wf/criticality.py
+++ b/wcs/wf/criticality.py
@@ -16,7 +16,7 @@
 
 from quixote import get_publisher
 
-from qommon import _
+from ..qommon import _
 from wcs.qommon.form import SingleSelectWidget
 from wcs.workflows import WorkflowStatusItem, register_item_class
 
diff --git a/wcs/wf/dispatch.py b/wcs/wf/dispatch.py
index 97679e723..10be91ee1 100644
--- a/wcs/wf/dispatch.py
+++ b/wcs/wf/dispatch.py
@@ -17,10 +17,10 @@
 import collections
 import xml.etree.ElementTree as ET
 
-from qommon import _
-from qommon.form import *
-from qommon.template import Template
-from qommon import get_logger
+from ..qommon import _
+from ..qommon.form import *
+from ..qommon.template import Template
+from ..qommon import get_logger
 from wcs.roles import Role, get_user_roles
 from wcs.workflows import XmlSerialisable, WorkflowStatusItem, register_item_class
 
diff --git a/wcs/wf/export_to_model.py b/wcs/wf/export_to_model.py
index 3be60fa0d..7fa21fbdd 100644
--- a/wcs/wf/export_to_model.py
+++ b/wcs/wf/export_to_model.py
@@ -29,15 +29,14 @@ from quixote import get_response, get_request, get_publisher
 from quixote.directory import Directory
 from quixote.html import htmltext
 
-from qommon import _, ezt
-from qommon import get_logger
-from qommon.form import (SingleSelectWidget, WidgetList, CheckboxWidget,
+from ..qommon import _, ezt, misc
+from ..qommon import get_logger
+from ..qommon.form import (SingleSelectWidget, WidgetList, CheckboxWidget,
                          StringWidget, UploadWidget, WysiwygTextWidget, Upload,
                          UploadedFile, UploadValidationError, VarnameWidget,
                          RadiobuttonsWidget, PicklableUpload, ComputedExpressionWidget)
-from qommon.errors import PublishError
-from qommon.template import TemplateError
-import qommon
+from ..qommon.errors import PublishError
+from ..qommon.template import TemplateError
 
 from wcs.fields import SubtitleField, TitleField, CommentField, PageField
 from wcs.workflows import (WorkflowStatusItem, AttachmentEvolutionPart,
@@ -381,7 +380,7 @@ class ExportToModel(WorkflowStatusItem):
         return filename
 
     def get_directory_name(self):
-        return qommon.misc.simplify(self.label or 'export_to_model', space='_')
+        return misc.simplify(self.label or 'export_to_model', space='_')
     directory_name = property(get_directory_name)
 
     def apply_template_to_formdata(self, formdata):
diff --git a/wcs/wf/form.py b/wcs/wf/form.py
index 4f0b6074c..e88109512 100644
--- a/wcs/wf/form.py
+++ b/wcs/wf/form.py
@@ -16,8 +16,8 @@
 
 import xml.etree.ElementTree as ET
 
-from qommon import _
-from qommon.form import *
+from ..qommon import _
+from ..qommon.form import *
 
 from wcs.workflows import WorkflowStatusItem, register_item_class
 from wcs.formdef import FormDef, lax_int
diff --git a/wcs/wf/geolocate.py b/wcs/wf/geolocate.py
index 8034cf0e3..a91dbf551 100644
--- a/wcs/wf/geolocate.py
+++ b/wcs/wf/geolocate.py
@@ -26,11 +26,11 @@ except ImportError:
 
 from quixote import get_publisher
 
-from qommon import _
-from qommon import get_logger
-from qommon.errors import ConnectionError
-from qommon.form import RadiobuttonsWidget, ComputedExpressionWidget, CheckboxWidget
-from qommon.misc import http_get_page, normalize_geolocation
+from ..qommon import _
+from ..qommon import get_logger
+from ..qommon.errors import ConnectionError
+from ..qommon.form import RadiobuttonsWidget, ComputedExpressionWidget, CheckboxWidget
+from ..qommon.misc import http_get_page, normalize_geolocation
 from wcs.workflows import WorkflowStatusItem, register_item_class
 
 class GeolocateWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/jump.py b/wcs/wf/jump.py
index 21960096b..6d5c4ede2 100644
--- a/wcs/wf/jump.py
+++ b/wcs/wf/jump.py
@@ -21,12 +21,12 @@ import sys
 from quixote import get_publisher, get_request, redirect
 
 from quixote.directory import Directory
-from qommon import _
-from qommon.humantime import *
-from qommon.form import *
-from qommon import errors
-from qommon.publisher import get_publisher_class
-from qommon.cron import CronJob
+from ..qommon import _
+from ..qommon.humantime import *
+from ..qommon.form import *
+from ..qommon import errors
+from ..qommon.publisher import get_publisher_class
+from ..qommon.cron import CronJob
 
 from wcs.workflows import Workflow, WorkflowStatusJumpItem, register_item_class
 from wcs.api import get_user_from_api_query_string, is_url_signed
diff --git a/wcs/wf/notification.py b/wcs/wf/notification.py
index c171a0a4c..aecde984f 100644
--- a/wcs/wf/notification.py
+++ b/wcs/wf/notification.py
@@ -16,10 +16,10 @@
 
 from quixote import get_publisher
 
-from qommon import _, ezt
-from qommon.form import *
-from qommon.template import TemplateError
-from qommon import get_logger
+from ..qommon import _, ezt
+from ..qommon.form import *
+from ..qommon.template import TemplateError
+from ..qommon import get_logger
 
 from wcs.roles import Role
 from wcs.workflows import (WorkflowStatusItem, register_item_class,
diff --git a/wcs/wf/profile.py b/wcs/wf/profile.py
index 22db00072..7998cb360 100644
--- a/wcs/wf/profile.py
+++ b/wcs/wf/profile.py
@@ -23,12 +23,12 @@ import xml.etree.ElementTree as ET
 
 from quixote import get_publisher, get_response
 
-from qommon import _
-from qommon.form import (CompositeWidget, SingleSelectWidget,
+from ..qommon import _
+from ..qommon.form import (CompositeWidget, SingleSelectWidget,
         WidgetListAsTable, ComputedExpressionWidget)
-from qommon.ident.idp import is_idp_managing_user_attributes
-from qommon.misc import http_patch_request, JSONEncoder
-from qommon.publisher import get_cfg, get_logger
+from ..qommon.ident.idp import is_idp_managing_user_attributes
+from ..qommon.misc import http_patch_request, JSONEncoder
+from ..qommon.publisher import get_cfg, get_logger
 
 from wcs.api_utils import sign_url, get_secret_and_orig, MissingSecret
 from wcs.workflows import XmlSerialisable, WorkflowStatusItem, register_item_class
diff --git a/wcs/wf/redirect_to_url.py b/wcs/wf/redirect_to_url.py
index 46d130323..a3eef8aad 100644
--- a/wcs/wf/redirect_to_url.py
+++ b/wcs/wf/redirect_to_url.py
@@ -14,8 +14,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from qommon import _
-from qommon.form import ComputedExpressionWidget
+from ..qommon import _
+from ..qommon.form import ComputedExpressionWidget
 from wcs.workflows import WorkflowStatusItem, register_item_class
 
 
diff --git a/wcs/wf/register_comment.py b/wcs/wf/register_comment.py
index 5cb9970fe..e99942807 100644
--- a/wcs/wf/register_comment.py
+++ b/wcs/wf/register_comment.py
@@ -16,10 +16,10 @@
 
 import cgi
 
-from qommon import _, ezt
-from qommon.form import *
-from qommon.template import TemplateError
-from qommon import get_logger
+from ..qommon import _, ezt
+from ..qommon.form import *
+from ..qommon.template import TemplateError
+from ..qommon import get_logger
 
 from wcs.workflows import (WorkflowStatusItem, register_item_class, template_on_formdata,
                            AttachmentEvolutionPart)
diff --git a/wcs/wf/remove.py b/wcs/wf/remove.py
index 6e56f145e..a681e239d 100644
--- a/wcs/wf/remove.py
+++ b/wcs/wf/remove.py
@@ -15,7 +15,7 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 from quixote import get_publisher, get_request, get_response, get_session
-from qommon import _
+from ..qommon import _
 from wcs.workflows import WorkflowStatusItem, register_item_class
 
 class RemoveWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/resubmit.py b/wcs/wf/resubmit.py
index 9f4f44ce1..8e18381cb 100644
--- a/wcs/wf/resubmit.py
+++ b/wcs/wf/resubmit.py
@@ -16,7 +16,7 @@
 
 from quixote import get_publisher, get_request, get_session
 
-from qommon import _
+from ..qommon import _
 from wcs.workflows import WorkflowStatusItem, register_item_class
 from wcs.formdef import FormDef
 from wcs.qommon.form import (WidgetList, SingleSelectWidget, StringWidget,
diff --git a/wcs/wf/roles.py b/wcs/wf/roles.py
index af37faa0f..0d0b6614c 100644
--- a/wcs/wf/roles.py
+++ b/wcs/wf/roles.py
@@ -21,13 +21,13 @@ from django.utils.six.moves.urllib import parse as urlparse
 
 from quixote import get_request, get_publisher, get_response
 
-from qommon import _
-from qommon.form import *
+from ..qommon import _
+from ..qommon.form import *
 from wcs.workflows import WorkflowStatusItem, register_item_class
 from wcs.roles import get_user_roles, Role
-from qommon.ident.idp import is_idp_managing_user_attributes
-from qommon.misc import http_post_request, http_delete_request
-from qommon.publisher import get_cfg, get_logger
+from ..qommon.ident.idp import is_idp_managing_user_attributes
+from ..qommon.misc import http_post_request, http_delete_request
+from ..qommon.publisher import get_cfg, get_logger
 from wcs.api_utils import sign_url, get_secret_and_orig, MissingSecret
 
 
diff --git a/wcs/wf/wscall.py b/wcs/wf/wscall.py
index 2bc02df61..5eaafd132 100644
--- a/wcs/wf/wscall.py
+++ b/wcs/wf/wscall.py
@@ -25,10 +25,10 @@ from StringIO import StringIO
 
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon.errors import ConnectionError
-from qommon.form import *
-from qommon.misc import json_loads, site_encode
+from ..qommon import _
+from ..qommon.errors import ConnectionError
+from ..qommon.form import *
+from ..qommon.misc import json_loads, site_encode
 from wcs.workflows import (WorkflowStatusItem, register_item_class,
         AbortActionException, AttachmentEvolutionPart)
 from wcs.wscalls import call_webservice
diff --git a/wcs/workflows.py b/wcs/workflows.py
index 7db1442b8..ac24ce7f3 100644
--- a/wcs/workflows.py
+++ b/wcs/workflows.py
@@ -14,7 +14,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from qommon import ezt
+from .qommon import ezt
 import collections
 import copy
 import datetime
@@ -29,21 +29,21 @@ from django.utils.six import StringIO
 
 from quixote import get_request, get_response, redirect
 
-from qommon import _
-from qommon.misc import C_, get_as_datetime, file_digest, get_foreground_colour
-from qommon.storage import StorableObject, atomic_write, NotEqual, Contains, Null
-from qommon.form import *
-from qommon.humantime import seconds2humanduration
-from qommon import emails, get_cfg, get_logger
+from .qommon import _
+from .qommon.misc import C_, get_as_datetime, file_digest, get_foreground_colour
+from .qommon.storage import StorableObject, atomic_write, NotEqual, Contains, Null
+from .qommon.form import *
+from .qommon.humantime import seconds2humanduration
+from .qommon import emails, get_cfg, get_logger
 from quixote.html import htmltext
-import qommon.errors
-from qommon.template import Template, TemplateError
+from .qommon import errors
+from .qommon.template import Template, TemplateError
 
-from wcs.conditions import Condition
-from wcs.roles import Role, logged_users_role, get_user_roles
-from wcs.fields import FileField
-from wcs.formdef import FormDef
-from wcs.formdata import Evolution
+from .conditions import Condition
+from .roles import Role, logged_users_role, get_user_roles
+from .fields import FileField
+from .formdef import FormDef
+from .formdata import Evolution
 
 if not __name__.startswith('wcs.') and not __name__ == "__main__":
     raise ImportError('Import of workflows module must be absolute (import wcs.workflows)')
@@ -677,7 +677,7 @@ class Workflow(StorableObject):
 
     @classmethod
     def get_default_workflow(cls):
-        from qommon.admin.emails import EmailsDirectory
+        from .qommon.admin.emails import EmailsDirectory
 
         workflow = Workflow(name=_('Default'))
         workflow.id = '_default'
@@ -2667,14 +2667,14 @@ class SendSMSWorkflowStatusItem(WorkflowStatusItem):
                                'sms could not be generated' % (url, str(e)))
             return
 
-        import qommon.sms
+        from .qommon import sms
 
         sms_cfg = get_cfg('sms', {})
         sender = sms_cfg.get('sender', 'AuQuotidien')[:11]
         mode = sms_cfg.get('mode', 'none')
         try:
-            qommon.sms.SMS.get_sms_class(mode).send(sender, destinations, sms_body[:160])
-        except qommon.errors.SMSError as e:
+            sms.SMS.get_sms_class(mode).send(sender, destinations, sms_body[:160])
+        except errors.SMSError as e:
             get_logger().error(e)
 
 register_item_class(SendSMSWorkflowStatusItem)
@@ -2862,24 +2862,24 @@ register_item_class(EditableWorkflowStatusItem)
 
 
 def load_extra():
-    import wf.aggregation_email
-    import wf.timeout_jump
-    import wf.jump
-    import wf.attachment
-    import wf.remove
-    import wf.roles
-    import wf.dispatch
-    import wf.geolocate
-    import wf.wscall
-    import wf.form
-    import wf.register_comment
-    import wf.anonymise
-    import wf.export_to_model
-    import wf.resubmit
-    import wf.criticality
-    import wf.profile
-    import wf.backoffice_fields
-    import wf.redirect_to_url
-    import wf.notification
-
-from wf.export_to_model import ExportToModel
+    from .wf import aggregation_email
+    from .wf import timeout_jump
+    from .wf import jump
+    from .wf import attachment
+    from .wf import remove
+    from .wf import roles
+    from .wf import dispatch
+    from .wf import geolocate
+    from .wf import wscall
+    from .wf import form
+    from .wf import register_comment
+    from .wf import anonymise
+    from .wf import export_to_model
+    from .wf import resubmit
+    from .wf import criticality
+    from .wf import profile
+    from .wf import backoffice_fields
+    from .wf import redirect_to_url
+    from .wf import notification
+
+from .wf.export_to_model import ExportToModel
diff --git a/wcs/wscalls.py b/wcs/wscalls.py
index 4fc24cb11..21321ef21 100644
--- a/wcs/wscalls.py
+++ b/wcs/wscalls.py
@@ -24,13 +24,13 @@ from django.utils.six.moves.urllib import parse as urlparse
 
 from quixote import get_publisher, get_request
 
-from qommon import _
-from qommon.misc import simplify, get_variadic_url, JSONEncoder, json_loads
-from qommon.xml_storage import XmlStorableObject
-from qommon.form import (CompositeWidget, StringWidget, WidgetDict,
+from .qommon import _
+from .qommon.misc import simplify, get_variadic_url, JSONEncoder, json_loads
+from .qommon.xml_storage import XmlStorableObject
+from .qommon.form import (CompositeWidget, StringWidget, WidgetDict,
         ComputedExpressionWidget, RadiobuttonsWidget, CheckboxWidget)
-import qommon.misc
-from qommon.template import Template
+from .qommon import misc
+from .qommon.template import Template
 
 from wcs.api_utils import sign_url, get_secret_and_orig, MissingSecret
 from wcs.workflows import WorkflowStatusItem
@@ -109,13 +109,13 @@ def call_webservice(url, qs_data=None, request_signature_key=None,
             headers['Content-type'] = 'application/json'
             payload = json.dumps(payload, cls=JSONEncoder,
                     encoding=get_publisher().site_charset)
-        response, status, data, auth_header = qommon.misc._http_request(
+        response, status, data, auth_header = misc._http_request(
                 url, method=method, body=payload, headers=headers)
     elif method == 'DELETE':
-        response, status, data, auth_header = qommon.misc._http_request(
+        response, status, data, auth_header = misc._http_request(
             url, method='DELETE', headers=headers)
     else:
-        response, status, data, auth_header = qommon.misc.http_get_page(
+        response, status, data, auth_header = misc.http_get_page(
                 url, headers=headers)
         request = get_request()
         if cache is True and request and hasattr(request, 'wscalls_cache'):
-- 
2.23.0

